Skip to content

Get a snapshot

GET/snapshots/{id}
path parameters
object
idstringrequired

Snapshot ID, e.g. snap_ab12cd34.

Responses
200 OKOK
SnapshotResponse
created_atstringdate-time
dirstring
idstring
mem_pathstring
memory_mibinteger
rootfs_pathstring
source_idstring
state_pathstring
vcpusinteger
400 Bad requestBad Request
ErrorResponse
errorstring
404 Not foundNot Found
ErrorResponse
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
GET/snapshots/{id}
cURL
curl '/snapshots/{id}'
Response
200 OK
{
  "created_at": "2026-01-02T15:04:05Z",
  "dir": "string",
  "id": "string",
  "mem_path": "string",
  "memory_mib": 0,
  "rootfs_path": "string",
  "source_id": "string",
  "state_path": "string",
  "vcpus": 0
}
Was this page helpful?